Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.lang
[Java] Annotation Type GrabExclude

    java.lang.Object
      groovy.lang.GrabExclude

    @Retention(RetentionPolicy.SOURCE)
    @Target({
            ElementType.CONSTRUCTOR,
            ElementType.FIELD,
            ElementType.LOCAL_VARIABLE,
            ElementType.METHOD,
            ElementType.PARAMETER,
            ElementType.TYPE})
    public @interface GrabExclude

Used to exclude an indirectly referenced artifact from the classpath.

Further information about customising grape behavior can be found on the Grape documentation page: http://groovy.codehaus.org/Grape.

Required Element Summary
`java.lang.String` | `module` The module or artifact, e.g.: "ant-junit"

Optional Element Summary
`java.lang.String` | `group` The organisation or group, e.g.: "org.apache.ant" @default ""
`java.lang.String` | `value` Allows a more compact convenience format in one of two formats, e.g.: "org.apache.ant:ant-junit" or "org.apache.ant#ant-junit".

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### group

    public java.lang.String group

  The organisation or group, e.g.: "org.apache.ant" @default ""

### module

    public java.lang.String module

  The module or artifact, e.g.: "ant-junit"

### value

    public java.lang.String value

  Allows a more compact convenience format in one of two formats, e.g.: "org.apache.ant:ant-junit" or "org.apache.ant#ant-junit". @default ""

Groovy Documentation